WHAT'S NEW?
Loading...




FW E2: Unofficial OpenPLi 4.0 Beta with new Gstreamer (09JUN16)



The user MastaG is developing a new experimental image based on OpenPLi, that brigs alot of new things, including the latest Gstreamer, that improves IPTV on Enigma2, and you can test it on your equipment.

Since the last round of images had HLS broken, I've created a quick round of new images using christophecvr's new gstreamer recipes.

Also it should be possible to do an online upgrade (if you have sufficient free space).

Changes compared to previous release:

- New gstreamer 1.9.0.1 recipes based on christophecvr's github (small changes for PLi4)
- Upgrade glib2.0 and some other components like gobject-introspection to satisfy the new gstreamer recipes
- gstreamer1.0-libav is built using it's minimal libav with only support for wma (thank you chris)
It's pre-installed on all receivers except for the ones with only 64MB of flash (dm800/800se/500hd)
- Full ffmpeg 3.0.1 package is in the feeds for use with IPTV Player's exteplayer3 (thx to Taapat for the original bbappend)
Login with telnet and issue: opkg update && opkg install ffmpeg
- Latest openpli-oe-core changes
- Latest enigma2 changes
- spark: libeplayer3 is pre-installed now (also in the feeds) for movie players with support for this library
Note: servicemp3 still uses gstreamer
- spark: some OpenPLi enigma2 backports (since Taapat doesn't maintain his enigma2 branch anymore)
The servicemp3 memleak patch has been applied with some other patches/commits I found useful
- spark: don't force async mode on the dvbaudiosink anymore, it's now the same as all other receivers again

So in short, this release should have HLS and mp4 playback working again. (thank you mx3L and chris).

Also thanks to samsamsam IPTV Player should be working again.

It's now compatible with OpenSSL and if you install ffmpeg from the feeds, it will install exteplayer3 for you (also on sh4).


0 comments:

Post a Comment